Bug 1133614 - [abrt] nxagent: nxagentResolveColor(): nxagent killed by SIGFPE
Summary: [abrt] nxagent: nxagentResolveColor(): nxagent killed by SIGFPE
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nx-libs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8309d5afc9d27fca5c97a3adf24...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-25 14:47 UTC by Marius Rex
Modified: 2015-06-30 01:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:07:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.56 KB, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: cgroup (182 bytes, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: core_backtrace (3.92 KB, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: dso_list (2.53 KB, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: environ (1.53 KB, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: maps (12.17 KB, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: open_fds (598 bytes, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: proc_pid_status (958 bytes, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details
File: var_log_messages (524 bytes, text/plain)
2014-08-25 14:47 UTC, Marius Rex
no flags Details

Description Marius Rex 2014-08-25 14:47:49 UTC
Description of problem:
After the first connection with x2go future connections (or reconnections) to the server often hang or cause a crash.

Version-Release number of selected component:
nxagent-3.5.0.27-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/nx/../x2go/bin/x2goagent -extension XFIXES -nolisten tcp -nolisten tcp -dpi 72 -D -auth /home/marius/.Xauthority -geometry 1024x768 -name X2GO-marius-66-1408949736_stDKDE_dp32 :66
crash_function: nxagentResolveColor
executable:     /usr/lib64/nx/bin/nxagent
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nxagentResolveColor at Colormap.c:504
 #1 AllocColor at colormap.c:820
 #2 nxagentCreateDefaultColormap at Colormap.c:531
 #3 nxagentOpenScreen at Screen.c:1926
 #4 nxagentReconnectScreen at Screen.c:3546
 #5 nxagentReconnectSession at Reconnect.c:469
 #6 nxagentHandleConnectionChanges at Reconnect.c:827
 #7 nxagentHandleConnectionStates at Reconnect.c:218
 #8 nxagentWakeupHandler at Handlers.c:589
 #9 WakeupHandler at dixutils.c:472

Comment 1 Marius Rex 2014-08-25 14:47:51 UTC
Created attachment 930544 [details]
File: backtrace

Comment 2 Marius Rex 2014-08-25 14:47:51 UTC
Created attachment 930545 [details]
File: cgroup

Comment 3 Marius Rex 2014-08-25 14:47:52 UTC
Created attachment 930546 [details]
File: core_backtrace

Comment 4 Marius Rex 2014-08-25 14:47:52 UTC
Created attachment 930547 [details]
File: dso_list

Comment 5 Marius Rex 2014-08-25 14:47:53 UTC
Created attachment 930548 [details]
File: environ

Comment 6 Marius Rex 2014-08-25 14:47:54 UTC
Created attachment 930549 [details]
File: limits

Comment 7 Marius Rex 2014-08-25 14:47:54 UTC
Created attachment 930550 [details]
File: maps

Comment 8 Marius Rex 2014-08-25 14:47:55 UTC
Created attachment 930551 [details]
File: open_fds

Comment 9 Marius Rex 2014-08-25 14:47:56 UTC
Created attachment 930552 [details]
File: proc_pid_status

Comment 10 Marius Rex 2014-08-25 14:47:56 UTC
Created attachment 930553 [details]
File: var_log_messages

Comment 11 Orion Poplawski 2014-08-25 16:21:02 UTC
How reproducible is this?

Reported upstream: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=582

Comment 12 Fedora End Of Life 2015-05-29 12:43:52 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-30 01:07:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.